Package org.jfree.layouting.input

## Class DefaultExternalContent

- java.lang.Object
- - org.jfree.layouting.input.DefaultExternalContent

- All Implemented Interfaces:
    `ExternalContent`

      public class DefaultExternalContent
      extends java.lang.Object
      implements ExternalContent

  Creation-Date: 16.04.2006, 13:08:51
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultExternalContent​(java.lang.Object content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getObject​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultExternalContent

          public DefaultExternalContent​(java.lang.Object content)

  - ### Method Detail

    - #### getObject

          public java.lang.Object getObject​()

      Specified by:
        `getObject` in interface `ExternalContent`